Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.xml.marshalling
Class MemberMap

    java.lang.Object
      com.ejie.r01f.xml.marshalling.MemberMap

All Implemented Interfaces:
  java.io.Serializable

public class MemberMap
extends java.lang.Object
implements java.io.Serializable

MemberMap.java Modela el mapeo de un miembro de una clase a partir de un documento xml que lo define Created on 9 de abril de 2002, 12:56

Version:
Author:
  IE00165H
See Also:
  Serialized Form

Field Summary
`ClassMap` | `classMap`
`int` | `collection`
`java.lang.String` | `collectionName`
`java.lang.String` | `createMethod`
`int` | `dataType`
`java.lang.String` | `dataTypeName`
`ClassMap` | `declaringClassMap`
`boolean` | `isCDATA`
`boolean` | `isOID`
`boolean` | `isTransient`
`java.lang.String` | `name`
`int` | `relation`
`java.lang.String` | `relationName`
`java.lang.String` | `tagNameOfCollectionElement`

Constructor Summary
`MemberMap()` Constructor por defcto
`MemberMap(java.lang.String _name, int _dataType, boolean _isOID)`
`MemberMap(java.lang.String _name, int _dataType, boolean _isOID, boolean _isCDATA)`

Method Summary
`boolean` | `isCollection()` Devuelve true o false dependiendo si el miembro es una coleccion
`boolean` | `isList()` Devuelve true o false, dependiendo si la clase es una lista
`boolean` | `isMap()` Devuelve true o false, dependiendo si la clase es un mapa

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### declaringClassMap

    public ClassMap declaringClassMap

### name

    public java.lang.String name

### dataType

    public int dataType

### dataTypeName

    public java.lang.String dataTypeName

### collection

    public int collection

### collectionName

    public java.lang.String collectionName

### tagNameOfCollectionElement

    public java.lang.String tagNameOfCollectionElement

### relation

    public int relation

### relationName

    public java.lang.String relationName

### createMethod

    public java.lang.String createMethod

### isOID

    public boolean isOID

### isCDATA

    public boolean isCDATA

### isTransient

    public boolean isTransient

### classMap

    public ClassMap classMap

Constructor Detail

### MemberMap

    public MemberMap()

  Constructor por defcto

### MemberMap

    public MemberMap(java.lang.String _name,
                     int _dataType,
                     boolean _isOID)

Parameters:
  `_name` -
  `_dataType` -
  `_isOID` -

### MemberMap

    public MemberMap(java.lang.String _name,
                     int _dataType,
                     boolean _isOID,
                     boolean _isCDATA)

Parameters:
  `_name` -
  `_dataType` -
  `_isOID` -
  `_isCDATA` -

Method Detail

### isCollection

    public boolean isCollection()

  Devuelve true o false dependiendo si el miembro es una coleccion

### isList

    public boolean isList()

  Devuelve true o false, dependiendo si la clase es una lista

### isMap

    public boolean isMap()

  Devuelve true o false, dependiendo si la clase es un mapa

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD